<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from scidemo_plotcmplxfun.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="scidemo_plotcmplxfun" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>scidemo_plotcmplxfun</refname><refpurpose>Draw a complex function on a square or a disk.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   scidemo_plotcmplxfun (R,e,TypeDomain,TypeCut,n,StrFunc,theta,alpha,DomReal)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>R :</term>
      <listitem><para> a 1-by-1 matrix of doubles, length of half a side of the square or radius of the disk</para></listitem></varlistentry>
   <varlistentry><term>e :</term>
      <listitem><para> a 1-by-1 matrix of doubles, thin layer to avoid the branch(es) cut(s)</para></listitem></varlistentry>
   <varlistentry><term>TypeDomain :</term>
      <listitem><para> a 1-by-1 matrix of strings, "Square" or "Disk"</para></listitem></varlistentry>
   <varlistentry><term>TypeCut :</term>
      <listitem><para> a 1-by-1 matrix of strings, "Ox" or "Oy"</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a scalar (for Square) or a 2-vector = [ntheta, nr] (for Disk) for discretization</para></listitem></varlistentry>
   <varlistentry><term>StrFunc :</term>
      <listitem><para> a 1-by-1 matrix of strings, the string which names the complex function (this is because primitive don't pass as function argument)</para></listitem></varlistentry>
   <varlistentry><term>theta :</term>
      <listitem><para> a 1-by-1 matrix of doubles, usual parameters for plot3d</para></listitem></varlistentry>
   <varlistentry><term>alpha :</term>
      <listitem><para> a 1-by-1 matrix of doubles, usual parameters for plot3d</para></listitem></varlistentry>
   <varlistentry><term>DomReal :</term>
      <listitem><para> a 1-by-2 matrix of doubles, interval for which the real restriction is drawn</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
A function to draw on a square or a disk a complex function
with branch(es) cut(s) on Ox or Oy.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
scf();
theta = -110;
alpha = 75;
scidemo_plotcmplxfun (2,%eps,"Square","Ox",41,"acos",theta,alpha,[-1,1]);

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2001 - Bruno PINCON</member>
   <member>Copyright (C) 2005 - INRIA - Pierre MARECHAL</member>
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Cleve's Corner: Trigonometry Is a Complex Subject", Cleve Moler, 1998, http://www.mathworks.com/company/newsletters/news_notes/clevescorner/sum98cleve.html</para>
   <para>"Classroom Tips and Techniques: Branches and Branch Cuts for the Inverse Trig and Hyperbolic Functions", Robert J. Lopez, 2008, http://www.maplesoft.com/view.aspx?SF=6932/Branches_and_Branch_Cuts.pdf</para>
</refsection>
</refentry>
